Sub Ch9_SwitchToPaperSpace() ' Set the active space to paper space ThisDrawing.ActiveSpace = acPaperSpace
' Create the paperspace viewport Dim newVport As AcadPViewport Dim center(0 To 2) As Double center(0) = 3.25 center(1) = 3 center(2) = 0 Set newVport = ThisDrawing.PaperSpace. _ AddPViewport(center, 6, 5)
' Change the view direction for the viewport Dim viewDir(0 To 2) As Double
viewDir(0) = 1 viewDir(1) = 1 viewDir(2) = 1 newVport.direction = viewDir
' Enable the viewport newVport.Display True
' Switch to model space ThisDrawing.MSpace = True
' Set newVport current ' (not always necessary but a good idea) ThisDrawing.ActivePViewport = newVport
' Zoom Extents in model space ZoomExtents
' Turn model space editing off
ThisDrawing.MSpace = False
' ZoomExtents in paperspace ZoomExtents
End Sub
是什么问题啊